AutoCAD Duda con AutoLISP

#1
Buenas, pues os cuento.

Estoy haciendome un archivo personalizado de autoslip pero hay algunas cosas que se me escapan bueno la verdad muchas porque mi duda tiene que ser de los mas simple.

Quiero hacer una ruta para que cuando yo ponga en la linea de comandos "g90" pues me gire la pieza que tengo señalada 90 grados, he puesto esto:
(DEFUN C:g90 () (COMMAND "GIRA" "90")), pero me tiene que faltar el punto base, claro y yo quiero que me la gire por el centro y esa es mi duda, como lo hago.

Nada muchas gracias por adelantado y espero que me seais de ayuda, ya que ganaria mucho en velocidad de ejecución.

Un saludo.

Toribio
 
#2
ojala te sirva

(defun c:g90()
(setq p1 (getpoint"\nPrimera esquina: "))
(setq p2 (getcorner p1"\nSegunda esquina: "))
(setq p3 (polar p1 (angle p1 p2)(/ (distance p1 p2) 2.0)))
(setq sel (ssget "_C" p1 p2))
(vl-cmdf "_rotate" sel "" p3 90)
(princ)
)

att, jou
 
Arriba